Alpaquita Linux
Security Advisory

CVE-2021-30139

Published: August 31, 2023Last modified: August 31, 2023

Description

In Alpine Linux apk-tools before 2.12.5, the tarball parser allows a buffer overflow and crash.

Severity score breakdown

ParameterValue
Base score7.5
Attack VectorNETWORK
Attack complexityLOW
Privileges requiredNONE
User interactionNONE
ScopeUNCHANGED
ConfidentialityNONE
Integrity impactNONE
Availability impactHIGH
VectorCVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Status

ProductReleasePackageStatus
Alpaquita Linux23 LTSapk-toolsNot affected (2.12.10-r4)
Streamapk-toolsNot affected (2.14.0-r6)

References

ON THIS PAGE